P. 1
manual autocad limba romana Edit Are

manual autocad limba romana Edit Are

|Views: 118|Likes:
manual autocad limba romana
manual autocad limba romana

More info:

Published by: Cristina Florina Stoica on Feb 25, 2013
Copyright:Attribution Non-commercial

Availability:

Read on Scribd mobile: iPhone, iPad and Android.
download as DOC, PDF, TXT or read online from Scribd
See more
See less

09/20/2013

pdf

text

original

EDITARE

Programele de proiectare asistata recunosc obiectele cu care lucreaza (linii, arce, etc.) prin numere stocate intr-o baza de date. AutoCAD-ul pastreaza aceste numere in liste de forma: ((0 . "LINE") (8 . "0") (6 "DASHED") (10 100.0 100.0 0.0) (11 100.0 200.0 0.0) (210 0.0 0.0 1.0)) Aceasta este o parte a unei liste asociate unei entitati de tip "LINE", alcatuita, dupa cum se vede, din mai multe subliste. Sirurile care apar in aceste liste sunt reprezentate in memoria calculatorului prin coduri numerice corespunzatoare. Editarea unei entitati presupune modificarea uneia dintre sublistele ce-i sunt asociate, sau crearea de noi entitati pe baza sublistelor corespunzatoare entitatii selectate. Astfel, se poate schimba culoarea unui obiect, tipul de linie sau stratul, se pot muta obiectele selectate sau pot fi copiate, rotite, etc. Un obiect este o entitate sau o colectie de entitati . Pentru a modifica unul sau mai multe obiecte, acestea trebuie selectate, operatie in urma careia se creeaza o multime de selectie (selection set), reprezentata punctat pe ecran. Exista in AutoCAD doua moduri de selectare, folosite de comenzile de editare in functie de specificul lor. Un mod de selectare este prin multimi de selectie, folosind comanda SELECT. Celalalt consta in selectarea unei singure entitati prin punctare, adica prin indicarea unui punct de pe entitatea respectiva. Rezultatul acestei operatii este de forma ((-1 . <Entity name:6000018>) (10 100.0 100.0 0.0)). -entitatea selectata si punctul prin care s-a facut selectarea. Vom numi acest mod de selectare ENTSEL (prin analogie cu (entsel) din AutoLISP).

Comanda SELECT
Desi exista o comanda cu acest nume, SELECT nu produce modificari in desen decat atunci cand este folosita ca subcomanda de catre alte comenzi de editare. Multimea de selectie dispare din memorie odata cu crearea unei multimi noi. O multime de selectie cu viata lunga (pana la abandonarea sesiunii curente de desenare) poate fi creata cu ajutorul AutoLISP-ului. La apelarea comenzii SELECT apare in linia de dialog prompterul "Select objects: ", iar in zona de desenare un patratel selector (pickbox). Modul implicit de selectare a unui obiect este punctarea, adica asezarea patratelului selector pe obiectul respectiv si apasarea tastei Enter sau a butonului corespunzator al dispozitivului de intrare (mouse). Marimea selectorului poate fi controlata prin intermediul variabilei PICKBOX. Celelalte optiuni sunt:

Window Se cer doua colturi care definesc un dreptunghi. Dupa introducerea celui de-al doilea colt, vor fi selectate entitatile complet incluse in dreptunghi. Crossing Se defineste un dreptunghi, ca la Window, dar vor fi selectate si entitatile care se intersecteaza cu laturile dreptunghiului (crossing = intersectie). Box Se defineste un dreptunghi ca la Crossing daca al doilea colt este la stanga primului colt si ca la Window daca este invers. Auto Creeaza automat un Box daca punctul indicat nu selecteaza nici o entitate. Last Selecteaza ultima entitate desenata. Previous Selecteaza multimea de selectie definita anterior; aceasta optiune este utila atunci cand mai multe comenzi se aplica aceleiasi multimi. SELECT se poate folosi independent de alte comenzi pentru a crea o multime de selectie ce va fi apelata apoi prin optiunea "Previous". Multiple La fiecare operatie de selectare, AutoCAD-ul scaneaza intreaga baza de date, procedeu lent in cazul desenelor complexe. Optiunea Multiple face ca baza de date sa fie scanata o singura data pentru toate entitatile care vor face parte din multimea definita cu comanda SELECT respectiva. Dupa aceasta optiune se admite un singur mod de selectie. Single Selecteaza o singura entitate. Undo Determina efectuarea unui pas inapoi in timpul selectarii (anuleaza ultima operatie de includere de entitati in multime). Remove Permite eliminarea din multime a entitatilor ce vor fi selectate (impreuna cu Add formeaza un comutator). In continuare sunt admise optiunile W, C si celelalte, dar entitatile selectate vor fi scoase din multime. Add Dupa Remove, determina reluarea operatiilor de includere de entitati in multime.

t3 sunt componentele vectorului de translatie. O translatie este definita de operatiile: x2=x1+t1 y2=y1+t2 z2=z1+t3 t1. centrele arcelor sau cercurilor). . 1 found -aici AutoCAD ne spune ce a facut Select objects: Enter incheierea selectarii <Base point or displacement>/ Multiple: un punct sau "M" se introduce un punct de referinta sau "M" pentru copiere multipla. pot fi introduse si de la tastatura. care va fi folosita pentru efectuarea translatiei. avand modificate doar sublistele care contin coordonatele punctelor ce definesc entitatile respective (puncte de inserare.Enter Determina incheierea comenzii SELECT. poate fi definit si introducand distanta de la punctul de referinta. din coordonatele lor se va calcula distanta dintre ele. In baza de date vor fi adaugate copii ale listelor corepunzatoare entitatilor copiate. Bineinteles. Cand introducem doua puncte. Dialogul este urmatorul: Command: Copy lansarea comenzii COPY Select objects: selectare (vezi comanda SELECT) 1 selected. Comenzi de editare Comenzile de editare pot fi gasite in meniul ecran (Screen menu) "Edit" sau in meniul desfasurabil (pull-down menu) "Modify". "Displacement" este distanta dintre punctul de referinta si copia sa (deplasarea). Punctul de referinta nu este un punct din baza de date a AutoCAD-ului. Copy Cu ajutorul acestei comenzi se pot obtine copii ale obiectelor deja existente in desen. capetele liniilor. Copierea consta in translatia punctelor din listele cu constructori 10-18 si redesenarea obiectelor copiate in functie de punctele obtinute. Second point of displacement: -un punct punctul de pe copie corespunzator punctului de referinta. "Base point" reprezinta punctul de referinta. multimea de selectie este pierduta (nu poate fi apelata cu Previous la urmatoarea selectie). Ctrl-C Determina abandonarea comenzii.t2. deci nici copia lui nu va fi inclusa in baza de date (sunt puncte ajutatoare).

Iata dialogurile corespunzatoare celor doua variante: Command: Array lansarea comenzii ARRAY Select objects: select -subcomanda SELECT Select objects: Enter Rectangular or polar array(R/P) R selectarea modului de lucru a comenzii ARRAY (tablou rectangular) Number of rows(---) <1>: 14 numarul de linii Number of columns(///) <1>: 3 numarul de coloane Unit cell or distance between rows (---) : -12 distanta intre linii (poate fi si negativa.0 10..0) . Cererea celui de-al doilea punct se va repeta pana cand la "Second point:" se va raspunde cu Enter.. listele entitatilor create vor fi adaugate la baza de date...0) . multiplicarea se va face in sensul negativ al axei Ox) Distance between columns (///): 12 distanta intre coloane (si ea ar putea fi negativa) Liniile dintre paranteze indica directia orizontala (---) sau verticala (///).. apoi cel de-al doilea punct.0) (11 14. Ca la comanda COPY.) Exemplu: figura ACAD4_1.0 25.BMP.0 0.0 10.) Punctul de referinta: (1.0 6.0 0. (10 10.0 0..0) (11 10.0 10.0 15. in functie de modul (rectangular/polar) ales.0 20.0 10. De exemplu. pentru o linie avem lista: (.0) Noua linie va fi: (..0) Al doilea punct: (5.0 10. Daca (la cererea "Unit cell or distance between rows (---):") in locul unei distante se introduce un punct de pe ecran. (10 14.0 5. Obiectele copiate vor fi dispuse sub forma de matrice sau pe un contur circular.. atunci apare cererea: .0 1. Array ARRAY este o comanda de copiere multipla.0) Vectorul t va avea componentele: (4.In cazul copierii multiple (optiunea "M") se va cere din nou punctul de baza al deplasarii (Base point:).

deci dispare.BMP. Rezultatul va fi copierea figurii selectate pe un contur determinat de un arc de cerc (sau un cerc). ce va reprezenta celula de multiplicat. punem semnul "-" inaintea valorii unghiului (cw = "clockwise"). Dialogul va fi: Command: Move lansarea comenzii MOVE Select objects: select -subcomanda SELECT Select objects: Enter . se modifica doar sublistele corespunzatoare punctelor (listele de coordonate). Y entitatile vor fi aliniate cu conturul pe care Daca sensul unghiului specificat este orar (unghi mai mic de 360 de grade). Move Cu comanda MOVE se pot muta entitati sau grupuri de entitati in alta zona a desenului.BMP. Exemple: Array rectangular . Pentru ARRAY polar dialogul este: Command: Array lansarea comenzii ARRAY Select objects: select -subcomanda SELECT Select objects: Enter Rectangular or polar array(R/P) P selectarea modului de lucru polar Center point of array: punct alegerea centrului conturului pe care se face multiplicarea Number of items: 4 numarul de celule Angle to fill (+=ccw. dar obiectele initiale vor fi sterse de pe ecran. optiunea "Multiple" nu mai are sens. Este similara comenzii COPY. Nu se adauga noi liste de entitati in baza de date.ACAD4_3.ACAD4_2. iar deplasarea colimatorului va determina crearea unei ferestre. Array polar .Other corner: .-=ccw) <360>: Enter marimea arcului de cerc pe care vor fi asezate celulele Rotate objects as they are copied? <Y>: se copiaza.

pentru rotirea unui arc (oglindirea unui semicerc fata de diametru): . unde u este unghiul de rotatie. x1. AutoCAD va calcula unghiul de rotatie facand diferenta dintre unghiul curent si noul unghi.lista initiala: . Exemplul de la COPY este valabil si aici. ci si unghiurilor (listele 50-58).y1 si x2. Rotate Obiectele desenate pot fi rotite. Unghiul de rotatie va fi 45-20=25. curenta>: 45 (acesta devine unghi curent) New angle: 20 (unghiul final). cu vectorul de translatie definit prin introducerea celor doua puncte (sau a distantei). Dialogul: Command: Rotate lansarea comenzii ROTATE Select objects: select -subcomanda SELECT Select objects: Enter Base point: punct punctul de referinta <Rotation angle>/Reference: 90 unghiul de rotatie in grade Punctul de referinta este punctul in jurul caruia se rotesc obiectele selectate. ci se modifica cele existente. Operatia efectuata este o rotatie definita prin: x2=x1*cos(u)-y1*sin(u) y2=x1*sin(u)+y1*cos(u) .Base point or displacement: punct punctul de referinta Second point of displacement: punct al doilea punct (vezi comanda COPY) Ca si la comanda COPY. se pot selecta doua puncte de pe una din entitatile ce vor fi rotite (pentru precizie se poate folosi OSNAP). se face o translatie. Transformarea nu se va aplica numai punctelor din listele 10-18. De exemplu. Daca se alege "Reference". Dialogul va fi: Reference angle <val. Prin aceasta nu se creeaza noi entitati.y2 sunt coordonatele punctului inainte si respectiv dupa rotatie. Daca unghiul curent nu este cunoscut.

. Dialogul este: Command: Scale lansarea comenzii SCALE Select objects: select -subcomanda SELECT Select objects: Enter Base point: punct punctul de referinta <Scale factor>/Reference: R AutoCAD va calcula factorul de scara Reference length<1>: distanta (numar) o distanta de referinta (lungimea unei linii.. capetele liniilor.. inaltimea textului): d2=S*d1.. Factorul de scara va rezulta prin compararea celor doua distante introduse. iar la cele existente se vor modifica listele care se refera la dimensiuni. Daca in loc de "R" s-ar fi introdus un numar..(.y2 sunt coordonatele relative la punctul de referinta). noul diametru.0 0. centrele arcelor si cercurilor. diametrul unui cerc.y1 si x2.. adica cele cu constructor 10-18 si 40-48. .rotatia se face cu 180 de grade.0) .. Dialogul este asemanator cu cel de la ROTATE. (50 1. inaltimea textului. dar in locul unghiului de rotatie se va cere factorul de scara.lista rezultata: (.0) ... Scale Comanda SCALE se foloseste pentru a ajusta dimensiunile unui grup de obiecte.BMP.) Exemplu: ACAD4_4. iar asupra distantelor (de ex.0 0.0 -10. etc..0) (51 2.0) . dialogul s-ar fi incheiat... scarile la care sunt reprezentate blocurile.0 10. (10 -10. iar x1. razele. (50 0. (10 10.) New length: numar noua lungime a liniei.) . Nu se creeaza noi entitati. nemaifiind necesara calcularea factorului de scara. etc. Vor fi afectate deci punctele de inserare. adica 1 rad..transformarea coordonatelor (translatia punctelor): x2=x1*cos(u)-y1*sin(u)= -10 y2=x1*sin(u)+y1*cos(u)= -10 .0) . Transformarile efectuate asupra punctelor sunt: x2=S*x1 y2=S*y1 (S este factorul de scara.0) (51 1. etc.

la apasarea tastei Enter ele dispar de pe ecran. De exemplu. in cazul simetriei dupa o axa verticala.BMP. N sau Y AutoCAD vrea sa stie daca pastreaza si obiectele selectate.Exemplu: ACAD4_5. Dialogul: Command: Erase lansarea comenzii ERASE Select objects: select -subcomanda SELECT Select objects: Enter -acum se sterg obiectele selectate . iar pe x -1. dar factorii de scara pe x si y sunt diferiti. Exemplu: ACAD4_6. factorul de scara pe y este 1. sau numai simetricele lor. Transformarile sunt asemanatoare cu cele de la SCALE. Valorile lor sunt calculate de catre AutoCAD si nu afecteaza dimensiunile obiectelor.BMP Erase ERASE este comanda cu care se pot elimina din desen entitatile nedorite. Pentru aceasta. Dialogul cu AutoCAD-ul: Command: Mirror lansarea comenzii MIRROR Select objects: select -subcomanda SELECT Select objects: Enter First point of mirror line: punct un punct de pe axa de simetrie Second point: punct alt punct de pe axa de simetrie Delete old objects? <N>: Enter. se selecteaza (cu SELECT) entitatile ce vor fi sterse. punctul de referinta (corespunzator comenzii SCALE) fiind un punct de pe axa de simetrie. Mirror Cu MIRROR se pot obtine simetricele obiectelor selectate fata de o axa de simetrie data.

) LT -schimba tipul liniei ..y. CHPROP schimba proprietatile entitatilor. o linie 2D va accepta la cererea "From point:" un punct 3D (x.... "0") (6 .) e -schimba elevatia (coord. culoarea..0): 10 Change what property (...Listele corespunzatoare entitatilor sterse dispar din baza de date./Elevation. "CONTINUOUS") (62 . Sublistele modificate sunt: (.z). Modificarea sublistelor de mai sus se face urmand dialogul: Command: Chprop lansarea comenzii CHPROP Select objects: select -subcomanda SELECT Select objects: Enter Change what property (Color/ Elevation/ LAyer/ LType/ Thickness)? c -schimba culoarea New color (red): 2 -noua culoare va fi 2 (galben) Change what property (. Daca am sters din greseala niste entitati de care mai avem nevoie.. continutul stivei este inlocuit cu noile entitati selectate./LAyer/. Obiectele 2D vor avea elevatia (Z) determinata de primul punct (cod DXF 10).0 1.) Elevatia nu mai apare incepand cu AutoCAD Release 11.. 1) (39 1. adica stratul. elevatia si adancimea. Z a primului punct../LType/... tipul de linie. deoarece toate punctele vor avea coordonata Z. astfel incat vor fi retinute mereu elementele sterse cu ultima comanda ERASE. Astfel. (8 . numai puncte 2D (x. La fiecare apelare a comenzii. Change (Chprop) CHANGE si CHPROP sunt comenzi care servesc la schimbarea caracteristicilor uneia sau mai multor entitati (selectate prin SELECT).0 0... Z) New elevation (1.0) (10 0. iar la urmatoarele cereri ("To point:")...) LA -schimba stratul New layer name <0>: 1 -noul strat este "1" Change what property (. apelam comanda OOPS.0) . dar sunt salvate intr-o stiva speciala a comenzii ERASE. Aceasta foloseste la corectarea stergerilor gresite.y). coordonata Z fiind aceeasi cu coord. si acestea reapar pe ecran.

0) (11 10.. "DASHED") (62 .. 2) (39 0... cu aceeasi lista initiala: .0) (11 12. poliliniilor sau arcelor.punctul selectat: (0. "LINE") .0 3.) sau.0) .. acum se vor observa rezultatele modificarilor pe ecran.0 0.. (10 0...razele cercurilor.New linetype <CONTINUOUS>: DASHED -linie intrerupta Change what property (. (0 . Exemplu: .0) (11 10..noua lista a liniei: (. "1") (6 . (10 0. .0 0...0 0.0 0.0) .0 0. Coordonatele punctului introdus vor inlocui coordonatele stocate intr-una din listele 1018..0) .. (0 .0 13. (8 . (0 .... Lista rezultata va fi: (. Se pot modifica: .0 0.0 0.. . ..0) (10 0.0 3.punctele de inserare a blocurilor sau textelor.0 10.0 13.) Se observa ca se modifica cel mai apropiat capat al liniei (fata de punctul introdus).0) ...lista rezultata: (.lista initiala a unei linii selectate: (. (10 0.0) ..0 0. aparand prompterul: Change what property (.)? Optiunea implicita este "Change point"..0 10.....0) .punctul selectat: (12.0 10.) .0 0. Se asteapta selectarea unui punct.. se trece automat in comanda CHPROP.capetele liniilor.0 0.0 0.. "LINE") .) La apelarea comenzii CHANGE. "LINE") .)? Enter -incheierea comenzii../Thikness)? t -schimba grosimea New thickness: 0 Change what property (.. apar optiunile (dupa SELECT): Properties/ <Change point>: Daca raspunsul este "P".

. in functie de tipul ei.inaltimea textului . "CIRCLE") .0) ... textelor.0 0. Modificarea cercurilor Daca in multimea de selectie exista un cerc.stilul (fontul) ..textul propriu-zis (sirul de caractere).0) . exista comenzi de editare mai rapide si mai usor de utilizat decat CHANGE (cum ar fi SCALE pentru schimbarea razei unui cerc). blocurilor si atributelor.unghiul de rotatie . Exemplu: .) . Modificarea textelor Se pot modifica: .0 -cercul rezultat: (. Noul stil trebuie sa fi fost in prealabil definit prin comanda STYLE. Editarea unei asemenea entitati folosind CHANGE este mai rapida decat stergerea cu ERASE si redesenarea entitatii. se va trece la modificarea fiecarei entitati din multimea de selectie creata. "CIRCLE") ..0) (40 10. .0 0.punctul de inserare a textului . ci de modificarea unei liste existente.0) (40 25. (0 ..0 0. Deasemenea... (10 0.0 0..raza noua: 25. (10 0.cercul original: (.Comanda CHANGE poate fi folosita si pentru modificarea cercurilor.. cand se ajunge cu modificarea la el apare cererea: Enter circle radius: Acum va trebui specificata noua raza. (0 . Pentru a modifica o entitate.) Atentie! Nu este vorba de crearea unei noi liste... dialogul trebuie sa inceapa astfel: Command: Change Select objects: Select Select objects: Enter Properties/ <Change point>: Enter Daca am raspuns cu Enter la ultima cerere.

. "text 2") (50 . 0. (10 0.0) (1 .5) (7 .) Acestea au fost principalele comenzi de editare care utilizeaza comanda SELECT. Text style: S0 New style or Return for no change: Enter .aceeasi inaltime New rotation angle <0>: Enter ... New heigh <0. (0 .Exemplu: . Dialogul: Command: Change lansarea comenzii CHANGE Select objects: select -subcomanda SELECT .0) (40 .0 0.am selectat un text Select objects: Enter Properties/ <Change point>: Enter ..0) (40 . sau Enter pentru pastrarea punctului vechi. altfel se introduce numele noului stil.trece in modul "change entity" Enter text insertion point: punct .selecteaza un text 1 selected.acelasi unghi New text <text 1>: text 2 .noul text Noua lista a textului: (. sau un arc). "TEXT") . .. asa ca acum e randul lor.. Urmeaza comenzile care folosesc pentru selectare ENTSEL.0 0.Enter = pastreaza acelasi stil.5>: Enter . "S0") . 1 found .) In aceasta lista se vor modifica sublistele corespunzatoare caracteristicilor textului modificate prin dialogul de mai jos... 5..0 0. Conturul nu trebuie sa fie neaparat inchis (poate fi si o singura linie. "TEXT") . 5. (10 0.lista initiala a unui text: (.noul punct de inserare a textului. iar selectarea entitatilor de extins se face prin punctare.0) (1 . "S0") .0 0.. selectate pe rand. Comenzile TRIM si EXTEND folosesc ambele moduri de selectare. una cate una) pana la intersectarea ei cu un contur selectat anterior. 0. Selectarea conturului se face prin subcomanda SELECT. "text 1") (50 . (0 ..5) (7 . Extend EXTEND determina prelungirea unei entitati (sau a mai multor entitati..

selecteaza conturul de taiere 3 selected. Dialog: Command: Trim lansarea comenzii TRIM Select cutting edge(s).Aceasta comanda nu determina aparitia de noi entitati in baza de date..lansarea comenzii EXTEND Select boundary edge(s).selectarea prin punctare a entitatii ce trebuie extinse (se repeta pana la apasarea tastei Enter. dar entitatile selectate se vor "tunde" dupa conturul selectat anterior.selectarea prin punctare a entitatii ce trebuie scurtata (se repeta pana la apasarea tastei Enter) Exemplu: ACAD4_8. Select objects: select -subcomanda SELECT . se modifica doar sublistele 10. Exemplu de dialog: Command: Extend .. sau a butonului corespunzator al mouseului) <Select object to extend>/ Undo: Enter . in locul uneia).am selectat un contur Select objects: Enter . care determina doua entitati. pentru a fi scurtate). 3 found . 11 sau 50. 51 pentru arce.am selectat un contur Select objects: Enter . nu determina aparitia in baza de date a unor noi entitati.incheierea subcomenzii SELECT <Select objects to extend>/ Undo: punct . ci doar modificarea listelor entitatilor selectate (cele selectate prin punctare. Select objects: select -subcomanda SELECT . mai apar doua capete ale portiunii eliminate. Ca si EXTEND..selecteaza conturul pana la care se vor extinde entitatile 3 selected.. Nu se poate aplica blocurilor.incheierea comenzii EXTEND Exemplu: ACAD4_7. Apare o noua entitate numai daca se elimina o portiune din mijloc (pe langa cele doua capete originale. 3 found .BMP Trim TRIM este o comanda similara comenzii EXTEND.BMP . sau in locul unui cerc apare un arc. deci rezulta patru capete.incheierea subcomenzii SELECT <Select objects to trim>/ Undo: punct .

indica AutoCAD-ului ca urmeaza sa fie indicate doua puncte (altfel unul din cele doua puncte ar fi fost cel prin care s-a selectat linia) Enter first point: punct . (0 ... se poate "sparge" o entitate in doua..selecteaza o entitate de tip LINE.. cercurile se transforma in arce.0) (11 10. In baza de date se modifica listele corespunzatoare capetelor liniei sau arcului selectat (pentru arc se schimba unghiul de inceput si sfarsit.. Se poate aplica liniilor.0 0.. De asemenea.0. pentru ca ar duce la transformarea cercului intr-un arc de 360 de grade (si unul de 0 grade)..0 0. cercurilor si poliliniilor.0 0.0 Command: Lista liniei originale devine: (. ceea ce nu este posibil. insotita de punctul prin care se face selectarea Enter second point (or F for first point): F .) si..0) .. Exemplu de dialog: Command: Break lansarea comenzii BREAK Select object: select . "LINE") .0 0... (0 . "LINE") . stergand o a treia parte. arcelor. iar polilinia in doua polilinii.) Exemplu: ACAD4_9..0 0. eventual se creeaza o entitate noua (arc sau linie).0 0.) Introducem: Command: Break Select object: 5..0) (11 2.. (10 0.0 0.0 0.primul punct al portiunii eliminate Enter second point: punct .BMP.0 0. (0 . (10 0.Break Folosind comanda BREAK. Pentru eliminarea unei portiuni dintr-un cerc. cele doua puncte (capetele arcului eliminat) se vor da in sens trigonometric. avem linia: (.al doilea punct (al doilea capat al segmentului eliminat) De exemplu. in plus. BREAK@ divide entitatea selectata in doua parti.. se pot sterge portiuni dintr-o entitate.0) (11 10. apare o noua linie cu lista: (..0 0.0 Enter second point (or F for first point): F Enter first point: 2..0..0 0. (10 7.0 Enter second point: 7.0.0 0.0) . nu se poate aplica cercurilor. .0) . "LINE") .lista entitatii originale: .

inchiderea comenzii Daca la cererea "Offset distance or Through" se raspunde cu "T"..) Offset Comanda OFFSET creeaza o copie a entitatii selectate. este mai rapida decat comanda COPY. 0. 0.) ....0) (40 .un punct oarecare din plan. distanta va fi 10. paralela cu originalul. "ARC") (8 .3 10..0.AutoCAD-ul cere distanta dintre viitoarele entitati paralele.97) (210 . elipse)... situat de acea parte a entitatii de copiat in care se va face copierea. "LINE") . Dialog: Command: Offset lansarea comenzii OFFSET Offset distance or Through <Through>: 10 ..specificarea (prin punctare) entitatii ce va fi copiata (se repeta pana la apasarea tastei Enter) Side to offset: punct .partea in care se face copierea: indicata prin punctul (1. "LINE") . . se poate vedea efectul folosind comanda ELIST definita prin programul prezentat in sectiunea despre AutoLISP.ca rezultat al aplicarii comenzii OFFSET.) Pentru situatii mai complicate. (10 0.... linia originala ramane neschimbata si apare o linie cu lista: (. Pentru linii paralele.0) ..96) (50 . (0 . la distanta specificata.0) .0) (11 10.6 0.BMP.( . (0 .0 1.0 5. arce.0 0.. 5...0) (40 .75) (51 ..) .0 5. "0") (10 7..linia originala: (. 0. "CIRCLE") (8 .0 0.3 10.6 0..) ..0 0. Select object to offset: punct .distanta de copiere: 5 .0 0.) . cercuri.0) . (0 . razele se vor modifica in functie de distanta de copiere.0 0. Select object to offset: Enter . Exemplu: ACAD4_10.0 1. entitatea nou creata va trece prin punctul indicat la cererea "Side to offset".96) (210 . Iata ce se intampla in baza de date in cazul copierii unei linii: .lista entitatii rezultate: (.0 0.. In cazul copierii curbelor (polilinii...0) (11 10. (0 .. (10 0. "0") (10 7..

fig.noua raza este 15 Command: Enter . ACAD4_11.relansarea comenzii (raza implicita este cea introdusa anterior) Polyline/ Radius/ <Select two objects>: . Entitatile racordate nu trebuie sa fie neaparat de acelasi tip (se poate racorda o linie cu un cerc. de exemplu). sau cercuri) vor fi scurtate sau prelungite astfel incat sa se intalneasca cu arcul trasat.selectarea celor doua entitati .definirea razei de racordare Enter new radius <0. Racordarea unei drepte cu un cerc (sau arc de cerc) . se va desena arcul Cele doua linii (sau arce. se va obtine un arc intre cele doua segmente. ARC.Fillet Comanda FILLET permite racordarea a doua entitati de tip LINE. Pentru racordari de drepte 3D situate in alt plan dacat x0y. ACAD4_12. Raza de racordare implicita este 0. Daca se selecteaza doua segmente alaturate dintr-o polilinie (fara optiunea "Polyline").BMP. Atentie! Functioneaza numai in plan. se va folosi comanda UCS. CIRCLE sau POLYLINE. ceea ce determina unirea celor doua linii selectate (se poate folosi uneori in loc de EXTEND si TRIM). . si se reincearca FILLET. Optiunea "Polyline" se foloseste pentru racordarea tuturor componentelor unei polilinii. Exemple: Racordarea dintre doua drepte printr-un arc de cerc de raza R. Modificarea razei determina modificarea valorii variabilei FILLETRAD. Optiunea "Polyline" determina trasarea de arce intre toate segmentele poliliniei selectate. de tip "ARC". In acest caz. Racordarea consta in unirea capetelor entitatilor selectate printr-un arc de cerc de raza specificata. In baza de date apare o noua entitate. Nu se vor racorda segmentele pentru a caror lungime raza de racordare este prea mare. Centrul se afla la intersectia paralelelor duse fata de cele doua drepte la distanta R .0>: 15 .dupa selectarea (prin punctare) a doua entitati. se anuleaza comanda cu Undo. La racordarea arcelor si cercurilor.fig. este posibil ca rezultatul sa nu fie cel dorit.BMP. Dialogul decurge astfel: Command: Fillet lansarea comenzii FILLET Polyline/ Radius/ <Select two objects>: R .

Chamfer CHAMFER (tesire) functioneaza ca si FILLET.lansarea comenzii CHAMFER Polyline/ Distances/ <Select first line>: D . se obtine intersectia liniilor selectate.rezulta segmentul de tesire si ajustarea celor doua linii in functie de acesta.distanta de la intersectie.punctare pe una din linii . Cele doua linii trebuie sa se intersecteze (nu se pot racorda sau tesi doua linii paralele).0>: 1 . Un alt avantaj al poliliniilor este faptul ca pot avea latime nenula (arcele si liniile au latime nula).inserarea de noi vertexuri sau stergerea unora existente .deschiderea sau inchiderea unei polilinii . corespunzatoare celor doua linii selectate (variabilele CHAMFERA si CHAMFERB). Pedit (editarea poliliniilor) Polilinia este o entitate complexa. Optiunea "Polyline" determina tesirea poliliniilor similar cu racordarea acestora (vezi comanda FILLET).urmeaza specificarea distantelor Enter first chamfer distance<0. ca o singura entitate. de-a lungul celeilalte linii Command: Enter . dar in loc de arc. Se poate aplica numai liniilor si poliliniilor. Modul in care se face tesirea este determinat de cele doua distante. deseneaza intre cele doua linii un segment de dreapta. alcatuita dintr-un sir de linii si arce.relansarea comenzii CHAMFER Polyline/ Distances/ <Select first line>: . PEDIT este o comanda speciala de editare a poliliniilor.punctare pe a doua linie .adaugarea de noi segmente .schimbarea latimii poliliniei . Dialogul este: Command: Chamfer .concatenarea poliliniilor (transformarea a doua polilinii intr-una singura) .transformarea liniilor sau arcelor in polilinii .0>: 1 .distanta de la intersectie. Daca ambele distante sunt 0.selectarea primei linii. Aceste obiecte (linii si arce) vor putea fi manipulate impreuna. de-a lungul primei linii selectate Enter second chamfer distance<0. Posibilitatile sale sunt urmatoarele: .separarea segmentelor poliliniei . corespunzatoare primei distante specificate Select second line: .mutarea vertexurilor .

. in functie de polilinia selectata: polilinie 2D (PLINE).0) .interpolarea unei polilinii (Spline) sau transformarea ei intr-o curba (Fit) . "POLYLINE") . "VERTEX") .0 10. Daca este vorba de un arc.. Do you want to turn it into one? <Y>: Daca dorim sa transformam linia selectata intr-o polilinie. iar ultima (SEQEND) marcheaza sfarsitul succesiunii de liste care definesc polilinia respectiva..anularea interpolarii (Decurve).0 0. "LINE") (10 0.. polilinie 3D (3DPOLY).0 0.. (0 . Dialogul pentru editarea unei polilinii incepe asa: Command: PEDIT Select polyline: (selectarea unei polilinii) Close/ Join/ Width/ Edit vertex/ Fit curve/ Spline curve/ Decurve/ Undo/ eXit<X>: Transformarea unei linii intr-o polilinie Daca la "Select polyline" se selecteaza o linie.... mai apare lista 42: (. apasam Enter sau "Y" si linia va fi transformata intr-o polilinie cu doua vertexuri corespunzatoare capetelor sale.linia este: (.0 10. Daca este un semicerc..). Daca este o linie.0) ..0 10. (0 . Continutul listei 42 este un numar care reprezinta tg(u/4).. unde u este marimea arcului.. suprafete (MESH). 0....) .0 0. raspunsul AutoCAD-ului este Entity selected is not a polyline. O polilinie consta intr-o insiruire de vertexuri.. "VERTEX") (10 10.. urmatoarele (VERTEX) contin coordonatele punctelor prin care trece polilinia.0 0.) Prima lista (POLYLINE) cuprinde informatii generale referitoare la polilinie.. 1). Prin vertex se intelege un punct care separa doua segmente de polilinie.....). (0 . in radiani.0 0. "VERTEX") (10 10.. (0 ..) (. (0 .... (0 . lista va fi (42 .15) . astfel: (. lista vertexului (pe scurt) este: (.. Aici ne vom ocupa numai de poliliniile 2D. Un segment este o entitate de tip "LINE" sau "ARC".. (. "SEQEND") . O polilinie completa este definita printr-o succesiune de liste.) .0) (42 .0) (11 10. Ex: . Comanda PEDIT poate lucra in trei moduri.

177) (50 . "VERTEX") (10 10..... apare lista optiunilor: Close/ Join/ Width/ Edit vertex/ Fit curve/ Spline curve/ Decurve/ Undo/ eXit <X>: Fiecare din aceste optiuni poate fi considerata o comanda de editare.) (.. "ARC") (10 522. in locul optiunii CLOSE apare OPEN... 0.609) . Ex. 0.495 383...) ..0) (42 ....polilinia: (.. (0 .747) . dar in loc de "Close" apare "Open". (0 .. (0 .polilinia in care este transformata: (.) Optiunile comenzii PEDIT In urma selectarii unei polilinii. (0 . (0 .. 0..0 10. 162.) (... (0 .0) (40 .796 407. "VERTEX") (10 0. (0 .terminarea editarii poliliniei Acum polilinia este inchisa.) (. 2.165 0.0) (42 .. Pentru deschiderea ei se procedeaza la fel....0) .) La fel. pentru arc: . / eXit <X>: C .0 0.alegerea optiunii CLOSE Close/ ..) (..) (. Exemplu: Command: Pedit lansarea comenzii PEDIT Select polyline: selectarea unei polilinii Close/ .609) .237 321... Iata ce se intampla in lista poliliniei: . Un cerc nu poate fi transformat in polilinie (pentru ca nu are capete). "SEQEND") ..0 0.. "VERTEX") (10 377.263 0.... "VERTEX") (10 659..0) ..) (.0 0. (0 .. (0 ..558) (51 . "SEQEND") . se poate transforma in polilinie si un arc.543 0. "POLYLINE") ..arcul: (... "POLYLINE") ... / eXit <X>: Enter . Close (Open) Daca polilinia este inchisa.

inainte de inchidere: (. /eXit <X>: W ..) .AutoCAD a adaugat 5 noi segmente la polilinia selectata Close/ Join/ . (0 . si vor dispare liniile. / Width/ . corespunzatoare segmentelor adaugate.latimea va fi 4 pentru toate segmentele poliliniei Close/ Join/ . Width Unul din avantajele utilizarii poliliniilor este ca acestea pot avea latime variabila. Liniile si arcele sunt automat convertite in segmente de polilinie.. Noua latime va fi constanta pe intreaga lungime a poliliniei..dupa inchidere: (.... (0 .alegerea optiunii WIDTH Enter new width for all segments: 4 ..selectarea entitatilor de adaugat 5 segments added to polyline .... "POLYLINE") ..alegerea optiunii JOIN Select objects: select ... O entitate adaugata unei polilinii primeste atributele acesteia. Cu optiunea "W" a comenzii PEDIT se poate schimba aceasta latime... Exemplu de dialog: Command: Pedit lansarea comenzii PEDIT Select polyline: selectarea unei polilinii Close/ Join/ . Exemplu: Command: Pedit lansarea comenzii PEDIT Select polyline: selectarea unei polilinii Close/ . / eXit <X>: Enter .terminarea editarii poliliniei In baza de date vor apare noi vertexuri... 1) . (70 . arcele sau poliliniile transformate in vertexuri ale primei polilinii...terminarea editarii poliliniei .. 0) ... "POLYLINE") . (70 . / eXit <X>: J . / eXit <X>: Enter .) Join Optiunea JOIN permite adaugarea la o polilinie a unui arc.. a unei linii sau polilinii.

"VERTEX") .. "VERTEX") . Prin DECURVE vor fi eliminate vertexurile suplimentare. Splinesegs este un numar intreg care stabileste numarul de segmente generate prin SPLINE.. Exemple pentru FIT si SPLINE . (0 .) in polilinia originala) (. Undo Aceasta optiune permite anularea ultimei subcomenzi. Splinetype poate lua valorile: 5 . Decurve Aceasta optiune este opusa optiunilor FIT si SPLINE.. (0 . Rolul ei este de a transforma o curba in polilinia din care provine. 16) . astfel: unul tangent la primul vertex. pentru fiecare vertex cu latime nenula apar sublistele 40 si 41. Curba va fi alcatuita din arce. Fit curve Optiuni FIT transforma polilinia selectata intr-o curba ce trece prin fiecare vertex..... (70 ... 16). ramanand in PEDIT: .vertex de control pentru curba interpolata (exista . ramanand doar cele cu sublista (70 .Spline quadratic 6 . va fi afisata atat polilinia originala. (70 ..vertex creat prin FIT. (70 . cat si curba creata prin SPLINE.... Interpolarea este controlata de trei variabile: SPLINETYPE. polilinia originala nu va fi desenata dupa interpolare. Daca este 1. si nu poate fi folosita decat dupa una dintre acestea. 8) .. SPLINESEGS si SPLFRAME. "VERTEX") . Doua vertexuri consecutive vor fi legate prin doua arce. Diferentierea vertexurilor originale de cele intercalate se face prin continutul sublistei 70: (. In baza de date a AutoCAD-ului vor fi intercalate (in secventa corespunzatoare poliliniei selectate) un numar de vertexuri intermediare..BMP. celalalt tangent la primul arc si la urmatorul vertex..) (.In baza de date. 1) .vertex creat prin SPLINE . Spline Optiunea SPLINE permite interpolarea unei polilinii pe baza metodei "B-Spline". Splframe poate fi 0 sau 1.ACAD4_13. Cu PEDIT WIDTH se va modifica continutul acestor subliste.) . Daca este 0.. (0 . Modificarea latimii pentru fiecare vertex in parte se poate face cu subcomanda "EDIT VERTEX".Spline cubic. corespunzatoare latimii initiale si finale..

revenind in PEDIT. / Undo / eXit <X> : Edit vertex Subcomanda EDIT VERTEX permite editarea fiecarui vertex in parte. Listele modificate sunt cele corespunzatoare vertexului selectat: (...elimina o portiune din entitatea selectata Chamfer .. / Undo / eXit <X> : U Close/ .editarea atributelor Break .modificarea proprietatilor entitatilor selectate Copy .adauga un nou vertex dupa cel marcat Move .muta "X" pe vertexul urmator Previous . Lista completa a comenzilor de editare (in ordine alfabetica .tesire Change ..).paraseste subcomanda. La inceput..Close/ .modifica latimea poliliniei dupa vertexul marcat. apare un "X" pe primul vertex al poliliniei si prompterul: Next/ Previous/ Break/ Insert/ Move/ Regen/ Straighten/ Tangent/ Width/ eXit <N>: Next .ataseaza vertexului marcat o directie tangenta. eXit .. Tangent .memoreaza vertexul marcat si permite selectarea altuia. ce va fi utilizata la rotunjirea ulterioara a poliliniei. Se poate elimina apoi portiunea din polilinie cuprinsa intre cele doua vertexuri.. Insert ..modificarea proprietatilor sau pozitiei entitatilor selectate Chprop .copierea entitatilor selectate DDatte .memoreaza vertexul marcat si permite selectarea altuia.muta "X" pe vertexul precedent Break . Se poate inlocui apoi portiunea dintre cele doua vertexuri cu un segment de dreapta.AutoCAD Release 11): Array .copiere multipla sub forma de matrice sau pe un contur circular a entitatilor selectate Attedit . Width . (0 .regenereaza polilinia Straighten .permite mutarea vertexului marcat Regen .editarea atributelor printr-o fereastra de dialog . "VERTEX") .

.determinarea lungimii entitatii selectate in functie de unitatea de masura specificata Mirror ..mutarea entitatilor selectate Offset .prelungirea entitatilor selectate pana la un contur definit anterior Fillet .editarea poliliniilor Purge .scurtarea entitatilor selectate ("tundere" dupa un contur) .stergerea entitatilor selectate Explode .DDedit . straturi .rotirea entitatilor selectate Scale .copiere paralela Oops .recuperarea entitatilor sterse cu ultima comanda ERASE Pedit .impartirea unei entitati in parti egale si marcarea acestora Erase .copiere in oglinda Move .modifica dimensiunile obiectelor (le intinde) Trim .editare prin fereastra de dialog Divide .subcomanda care creeaza o multime de selectie Stretch .elimina din baza de date entitatile neutilizate (blocuri.transformarea entitatilor complexe in entitatile simple din care sunt alcatuite Extend .marirea/ micsorarea la scara a entitatilor selectate Select .) Rotate .racordare Measure .

You're Reading a Free Preview

Download
scribd
/*********** DO NOT ALTER ANYTHING BELOW THIS LINE ! ************/ var s_code=s.t();if(s_code)document.write(s_code)//-->